com.ihr.xbrl.formula

## Class FlFunctionsResolver

- java.lang.Object
- - com.ihr.xbrl.formula.FlFunctionsResolver

-     public class FlFunctionsResolver
      extends java.lang.Object

  The Class FlFunctionsResolver.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.logging.Logger` | `logger` The logger.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlFunctionsResolver(net.sf.saxon.s9api.Processor conf)` Instantiates a new fl functions resolver.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInlineFunctions(java.lang.String namespace, java.lang.String queryText)` Adds the inline functions.
    `void` | `addLibrary(net.sf.saxon.functions.FunctionLibrary oldFl)` Adds the library.
    `boolean` | `addNamespace(java.lang.String url)` Adds the namespace.
    `net.sf.saxon.functions.FunctionLibraryList` | `getFunctionsLibraryList()` Gets the functions library list.
    `void` | `loadModule(java.lang.String namespace, java.net.URL url)` Load module.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public java.util.logging.Logger logger

      The logger.

  - ### Constructor Detail

    - #### FlFunctionsResolver

          public FlFunctionsResolver(net.sf.saxon.s9api.Processor conf)

      Instantiates a new fl functions resolver.
      Parameters:
        `conf` - the conf

  - ### Method Detail

    - #### addNamespace

          public boolean addNamespace(java.lang.String url)

      Adds the namespace.
      Parameters:
        `url` - the url
      Returns:
        true, if successful

    - #### loadModule

          public void loadModule(java.lang.String namespace,
                        java.net.URL url)

      Load module.
      Parameters:
        `namespace` - the namespace
        `url` - the url

    - #### addInlineFunctions

          public void addInlineFunctions(java.lang.String namespace,
                                java.lang.String queryText)

      Adds the inline functions.
      Parameters:
        `namespace` - the namespace
        `queryText` - the query text

    - #### getFunctionsLibraryList

          public net.sf.saxon.functions.FunctionLibraryList getFunctionsLibraryList()

      Gets the functions library list.
      Returns:
        the functions library list

    - #### addLibrary

          public void addLibrary(net.sf.saxon.functions.FunctionLibrary oldFl)

      Adds the library.
      Parameters:
        `oldFl` - the old fl